apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-issuer-istio
spec:
  acme:
    email: "pavel@sarex.io"
    privateKeySecretRef:
      name: letsencrypt-secret-key
    server: "https://acme-v02.api.letsencrypt.org/directory"
    solvers:
      - http01:
          ingress:
            class: istio
            podTemplate:
              spec:
                imagePullSecrets:
                  - name: regcred
